Skip to main content

October 21, 2026

· 11 min read

GET /checkouts

  • added the optional property results/items/checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property results/items/checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property results/items/checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

POST /checkouts

  • added the optional property checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 201 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 201 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 201 status (media type: application/json)
View updated docs

POST /checkouts/preview-discount-code

  • added the new optional request property item/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership (media type: application/json)
  • added the new optional request property item/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership (media type: application/json)
  • added the new optional request property item/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership (media type: application/json)
View updated docs

GET /checkouts/{id}

  • added the optional property checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

PATCH /checkouts/{id}

  • added the optional property checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

PUT /checkouts/{id}

  • added the optional property checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

POST /checkouts/{id}/add_item

  • added the new optional request property oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership (media type: application/json)
  • added the new optional request property oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership (media type: application/json)
  • added the new optional request property oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

POST /checkouts/{id}/cancel

  • added the optional property checkout_items/items/oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property checkout_items/items/oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

GET /checkouts/{id}/items/{item_id}/

  • added the optional property oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

POST /checkouts/{id}/items/{item_id}/price/

  • added the optional property oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

POST /checkouts/{id}/items/{item_id}/quantity/

  • added the optional property oneOf[subschema #13: PrepaidMembershipCheckoutItem -> subschema #12: PrepaidMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property oneOf[subschema #18: PackMembershipCheckoutItem -> subschema #2: PackMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
  • added the optional property oneOf[subschema #9: RecurringMembershipCheckoutItem -> subschema #16: RecurringMembershipCheckoutItem]/renew_from_customer_membership to the response with the 200 status (media type: application/json)
View updated docs

GET /communication/push_settings/class_reminders

  • endpoint added
View updated docs

POST /communication/push_settings/class_reminders

  • endpoint added
View updated docs

DELETE /communication/push_settings/class_reminders/{id}

  • endpoint added
View updated docs

GET /communication/push_settings/class_reminders/{id}

  • endpoint added
View updated docs

PATCH /communication/push_settings/class_reminders/{id}

  • endpoint added
View updated docs

PUT /communication/push_settings/class_reminders/{id}

  • endpoint added
View updated docs

GET /customer_memberships

  • added the required property results/items/renew_from to the response with the 200 status (media type: application/json)
View updated docs

POST /customer_memberships

  • added the required property renew_from to the response with the 201 status (media type: application/json)
View updated docs

POST /customer_memberships/bulk_edit_prices

  • added the required property renew_from to the response with the 200 status (media type: application/json)
View updated docs

GET /customer_memberships/{id}

  • added the required property renew_from to the response with the 200 status (media type: application/json)
View updated docs

POST /customer_memberships/{id}/cancel

  • added the required property renew_from to the response with the 200 status (media type: application/json)
View updated docs

GET /invoices

  • added the enum value -id to the property items/ of the query request parameter sort
  • added the enum value id to the property items/ of the query request parameter sort
View updated docs